# class DBus::IntrospectXMLParser::AbstractXML

### Public Class Methods

have_nokogiri?() click to toggle source

       # File lib/dbus/xml.rb
    34 def self.have_nokogiri?
    35   Object.const_defined?("Nokogiri")
    36 end

new(xml) click to toggle source

required methods initialize parser with xml string

       # File lib/dbus/xml.rb
    51 def initialize(xml); end

### Public Instance Methods

each(xpath) click to toggle source

yields nodes which match xpath of type `AbstractXML::Node`

       # File lib/dbus/xml.rb
    54 def each(xpath); end